Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturnVariant

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleHintReturn
                  com.trolltech.qt.gui.QStyleHintReturnVariant

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleHintReturnVariant

extends QStyleHintReturn

The `QStyleHintReturnVariant` class provides style hints that return a `QVariant`.

Nested Class Summary
`static class` | `QStyleHintReturnVariant.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleHintReturnVariant.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleHintReturn
`QStyleHintReturn.HintReturnType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleHintReturnVariant()` Constructs a `QStyleHintReturnVariant`.

Method Summary
`static QStyleHintReturnVariant` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleHintReturnVariant instance pointed to by `nativePointer`.
`void` | `setVariant(java.lang.Object variant)` This variable holds the variant for style hints that return a `QVariant`.
`java.lang.Object` | `variant()` This variable holds the variant for style hints that return a `QVariant`.

Methods inherited from class com.trolltech.qt.gui.QStyleHintReturn
`setType, setVersion, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleHintReturnVariant

    public QStyleHintReturnVariant()

  Constructs a `QStyleHintReturnVariant`. The member variables are initialized to default values.

Method Detail

### setVariant

    public final void setVariant(java.lang.Object variant)

  This variable holds the variant for style hints that return a `QVariant`.

### variant

    public final java.lang.Object variant()

  This variable holds the variant for style hints that return a `QVariant`.

### fromNativePointer

    public static QStyleHintReturnVariant fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleHintReturnVariant instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD